Subject: Re: bug#58580: 29.0.50; Ahead-of-time compilation for a few more files?

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 17 Oct 2022 13:25:51 +0200

Eli Zaretskii <[email-masked]> writes:

>> This suggests to me that we should AOT a bunch of these libraries
>> (rx/subr-x/etc) by default that are virtually impossible to use Emacs
>> without.
>
> Try with -nw, and you will see more.  is that also "normal usage"?

It was pretty much the same list, and yes.

> In Emacs 28 we added several files to AOT for that reason, but AFAIR
> they were removed on master.

It's obviously a matter of taste -- we don't want to add libraries
needlessly, but there's some (non-pre-loaded) libraries (I'd guesstimate
about a dozen) that virtually all users will end up loading, so AOT-ing
them makes sense to me.